## zope.proxy 4.3.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/zopeproxy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/zopeproxy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/zopeproxy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/zopeproxy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## zope.proxy 3.6.1

=== debian/changelog ===
zope.proxy (3.6.1-2fakesync1) precise; urgency=low

  * Fake sync due to mismatching orig tarball.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 14 Nov 2011 22:05:42 +0200

zope.proxy (3.6.1-2) unstable; urgency=low

  * Team upload.
  * debian/clean: remove to make sure all files are installed.
  * debian/source/options: ignore .egg-info directory.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 08 Nov 2011 22:23:20 +0900

zope.proxy (3.6.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Switch to dh_python2 (Closes: #617173):
    - debian/control: remove python-central and python-van.pydeb from
      Build-Depends.
    - debian/rules: replace pydeb and python-central with python2.
  * debian/control:
    - Add Homepage and Vcs-Browser fields.
    - Bump Standards-Version to 3.9.2, no changes needed.
  * debian/rules: Don't include C source in the package.
  * debian/copyright: update, convert to dep5 format.
  * Switch to 3.0 (quilt) source format.
  * Add debian/clean to get rid of egg-info/* to prevent FTBFS if built
    twice.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 18 Oct 2011 18:46:27 +0300

zope.proxy (3.5.0-5) unstable; urgency=low

  * Convert to debhelper 7 and the pydeb dh7 extension.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 05 Jan 2010 21:35:17 +0100

zope.proxy (3.5.0-4) unstable; urgency=low

  [ Brian Sutherland ]
  * Set priority to optional as we are depended on by python-zodb which is
    priority optional.

  [ Fabio Tranchitella ]
  * debian/control: build-depend on pyton-vab.pydeb >= 1.3.0-2.
    (Closes: #552978)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 08 Nov 2009 11:23:24 +0100

zope.proxy (3.5.0-3) unstable; urgency=low

  * Set section to zope.
  * Rebuild against van.pydeb 1.3.
  * Don't include C source in the package.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Sep 2009 10:21:25 +0200

zope.proxy (3.5.0-2) unstable; urgency=low

  * Conflict with zope3. Closes: #538180.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 26 Aug 2009 10:52:06 +0200

zope.proxy (3.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 18 Jun 2009 17:20:52 +0200

zope.proxy (3.4.2-1) unstable; urgency=low

  * New upstream release
  * Convert to using python-van.pydeb.
  * Change source package name to zope.proxy.
  * Standards version 3.8.1.
  * debhelper compat version -> 7
  * Maintainer as the zope team, uploader is me.
  * build for all python versions.
  * Improve description
  * Add watch and copyright files 

 -- Brian Sutherland <brian@vanguardistas.net>  Sun, 07 Jun 2009 10:53:54 +0200

python-zope.proxy (3.4.0-1ubuntu3.2) lenny; urgency=low

  * Non-maintainer upload.
  * Rebuild for lenny

 -- Brian Sutherland <brian@vanguardistas.net>  Fri, 08 May 2009 11:18:44 +0000

python-zope.proxy (3.4.0-1ubuntu3.1) etch-devel; urgency=low

  * Non-maintainer upload.
  * Rebuild for etch-devel

 -- Brian Sutherland <brian@vanguardistas.net>  Wed, 23 Jul 2008 09:46:21 +0200

python-zope.proxy (3.4.0-1ubuntu3) hardy; urgency=low

  * Make a new hardy release

 -- Ignas Mikalajunas <ignas.mikalajunas@gmail.com>  Mon, 28 Apr 2008 15:42:00 +0300

python-zope.proxy (3.4.0-1ubuntu2) gutsy; urgency=low

  * Fix architecture to get 64 bit packages working properly

 -- Ignas Mikalajunas <ignas.mikalajunas@gmail.com>  Mon, 28 Apr 2008 15:41:52 +0300

python-zope.proxy (3.4.0-1ubuntu1) hardy; urgency=low

  * Re-build for hardy

 -- Ignas Mikalajunas <ignas.mikalajunas@gmail.com>  Wed, 23 Apr 2008 11:19:22 +0300

python-zope.proxy (3.4.0-1) gutsy; urgency=low

  * Inital Release

 -- Brian Sutherland <brian@vanguardistas.net>  Thu,  8 Nov 2007 19:27:48 +0100

=== debian/control ===
Source: zope.proxy
Section: zope
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>, Fabio Tranchitella <kobold@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3~), python-setuptools
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Homepage: http://pypi.python.org/pypi/zope.proxy
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.proxy/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.proxy/trunk

Package: python-zope.proxy
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Conflicts: zope3
Description: Generic transparent proxies for Python
 Proxies are special objects which serve as mostly-transparent wrappers around
 another object, intervening in the apparent behavior of the wrapped object
 only when necessary to apply the policy (e.g., access checking, location
 brokering, etc.) for which the proxy is responsible.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 $@

package=python-zope.proxy

override_dh_install:
	dh_install
	find debian/$(package) -name '*.c' -delete

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/z/zope.proxy/zope.proxy-(.*)\.(?:tar\.gz|zip)

## zope.proxy 4.1.4

=== debian/changelog ===
zope.proxy (4.1.4-2) unstable; urgency=medium

  * Simplify DEP-8 tests so that they just ensure that the package is
    importable in both Python 2 and Python 3.

 -- Barry Warsaw <barry@debian.org>  Mon, 30 Jun 2014 14:22:36 -0400

zope.proxy (4.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control:
    - Updated Build-Depends.
    - Added myself to Uploaders.
    - Bump Standards-Version to 3.9.5 with no other changes necessary.
    - Added X-Python3-Version header.
    - Added XS-Testsuite header.  Closes: #692689
    - Added python3-zope.proxy binary package.
  * d/rules: Convert to pybuild and add dh_python3.
  * d/compat: Bump to version 9.

 -- Barry Warsaw <barry@debian.org>  Tue, 24 Jun 2014 20:25:23 -0400

=== debian/control ===
Source: zope.proxy
Section: zope
Priority: optional
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>,
           Barry Warsaw <barry@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev (>= 2.6.6-3~),
               python-setuptools,
               python-zope.interface,
               python3-all-dev,
               python3-setuptools,
               python3-zope.interface
Standards-Version: 3.9.5
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.2
Homepage: http://pypi.python.org/pypi/zope.proxy
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.proxy/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.proxy/trunk
XS-Testsuite: autopkgtest

Package: python-zope.proxy
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Conflicts: zope3
Description: Generic transparent proxies for Python
 Proxies are special objects which serve as mostly-transparent wrappers around
 another object, intervening in the apparent behavior of the wrapped object
 only when necessary to apply the policy (e.g., access checking, location
 brokering, etc.) for which the proxy is responsible.
 .
 This is the Python 2 version.

Package: python3-zope.proxy
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: zope3
Description: Generic transparent proxies for Python
 Proxies are special objects which serve as mostly-transparent wrappers around
 another object, intervening in the apparent behavior of the wrapped object
 only when necessary to apply the policy (e.g., access checking, location
 brokering, etc.) for which the proxy is responsible.
 .
 This is the Python 3 version.

## zope.proxy 4.1.6

=== debian/changelog ===
zope.proxy (4.1.6-1build2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:10:26 +0000

zope.proxy (4.1.6-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jul 2015 07:25:13 +0000

zope.proxy (4.1.6-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump Standards-Version with no other changes necessary.
  * d/copyright:
    - Update Format URL.
    - Added Files-Excluded header to prune pre-build Sphinx artifacts in 
      docs/_build from the original tarball.
  * d/watch: Use pypi.debian.net redirector.

 -- Barry Warsaw <barry@debian.org>  Tue, 09 Jun 2015 18:00:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: zope.proxy
 Section: zope
 Priority: optional
-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
 Uploaders: Brian Sutherland <brian@vanguardistas.net>,
            Fabio Tranchitella <kobold@debian.org>,
            Barry Warsaw <barry@debian.org>
@@ -13,7 +14,7 @@
                python3-all-dev,
                python3-setuptools,
                python3-zope.interface
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.2
 Homepage: http://pypi.python.org/pypi/zope.proxy

=== debian/watch ===
version=3
#opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/zope.proxy/zope.proxy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.proxy 4.2.0

=== debian/changelog ===
zope.proxy (4.2.0-1build2) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 05 Aug 2017 22:13:45 +1200

zope.proxy (4.2.0-1build1) artful; urgency=medium

  * Rebuild for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 13 May 2017 19:46:42 +0530

zope.proxy (4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Minimum upstream Python versions are 2.7 and 3.3.
    - Bump Standards-Version to 3.9.8 with no other changes needed.
    - Add python{,3}-zope.security to Build-Depends.

 -- Barry Warsaw <barry@debian.org>  Tue, 30 Aug 2016 18:04:09 -0400

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: zope.proxy
 Section: zope
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
+Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
 Uploaders: Brian Sutherland <brian@vanguardistas.net>,
            Fabio Tranchitella <kobold@debian.org>,
            Barry Warsaw <barry@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python-all-dev (>= 2.6.6-3~),
+               python-all-dev (>= 2.7~),
                python-setuptools,
                python-zope.interface,
+               python-zope.security,
                python3-all-dev,
                python3-setuptools,
-               python3-zope.interface
-Standards-Version: 3.9.6
-X-Python-Version: >= 2.4
-X-Python3-Version: >= 3.2
+               python3-zope.interface,
+               python3-zope.security
+Standards-Version: 3.9.8
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.3
 Homepage: http://pypi.python.org/pypi/zope.proxy
 Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.proxy/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.proxy/trunk

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.proxy

%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_install:
	dh_install
	find debian/python-zope.proxy -name '*.c' -delete
	find debian/python3-zope.proxy -name '*.c' -delete

## zope.proxy 4.3.3

=== debian/changelog ===
zope.proxy (4.3.3-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:25:21 +0100

zope.proxy (4.3.3-1) unstable; urgency=medium

  [ Håvard Flaget Aasen ]
  * QA upload.
  * New upstream release.
  * Change to debhelper-compat.
  * Bump debhelper to 12.
  * Update Standards-Version to 4.4.1.
  * Add Rules-Requires-Root: no.
  * Use secure URI on homepage.
  * Remove Files-Exluded from debian/copyright, files don't exist upstream.
  * Use Secure URI in debian/watch.
  * Add hardening in debian/rules.
  * Disable tests.

  [ Andrej Shadura ]
  * d/control: Add Vcs-* field.
  * Use secure URI in Homepage field.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Wed, 01 Jan 2020 14:41:06 +0100

zope.proxy (4.2.0-3) unstable; urgency=medium

  * Replace custom autopkgtest with autodep8

 -- Paul Gevers <elbrus@debian.org>  Sat, 21 Sep 2019 14:09:44 +0200

zope.proxy (4.2.0-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. Closes: #869473.
  * Stop building the Python2 package. Closes: #938911.
  * Fix lintian warnings.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Sep 2019 08:41:19 +0200

zope.proxy (4.2.0-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Move header files to correct location. (Closes: #920029)

 -- Dominik George <natureshadow@debian.org>  Sat, 23 Feb 2019 19:19:08 +0100

=== debian/control ===
Source: zope.proxy
Section: zope
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-zope.interface,
               python3-zope.security,
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://pypi.python.org/pypi/zope.proxy
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/python-team/modules/zope.proxy
Vcs-Git: https://salsa.debian.org/python-team/modules/zope.proxy.git

Package: python3-zope.proxy
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: zope3
Description: Generic transparent proxies for Python
 Proxies are special objects which serve as mostly-transparent wrappers around
 another object, intervening in the apparent behavior of the wrapped object
 only when necessary to apply the policy (e.g., access checking, location
 brokering, etc.) for which the proxy is responsible.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=zope.proxy
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	find debian/python3-zope.proxy -name '*.c' -delete
	for d in debian/python3-zope.proxy/usr/include/python*; do \
		[ "$$d" = *m ] || mv "$$d" "$$d"m; \
	done

=== debian/watch ===
version=3
#opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/zope.proxy/zope.proxy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.proxy 4.3.5

=== debian/changelog ===
zope.proxy (4.3.5-2) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 02 Feb 2021 18:27:15 +0000

zope.proxy (4.3.5-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 4.3.5
  * Update Standards-Version to 4.5.0
  * Bump debhelper to 13
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * Implement upstream testsuite during build

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 02 May 2020 13:04:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: zope
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-setuptools,
                python3-zope.interface,
                python3-zope.security,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://pypi.python.org/pypi/zope.proxy
 Testsuite: autopkgtest-pkg-python
-Vcs-Browser: https://salsa.debian.org/python-team/modules/zope.proxy
-Vcs-Git: https://salsa.debian.org/python-team/modules/zope.proxy.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.proxy
+Vcs-Git: https://salsa.debian.org/python-team/packages/zope.proxy.git
 
 Package: python3-zope.proxy
 Architecture: any

## zope.proxy 4.5.0

=== debian/changelog ===
zope.proxy (4.5.0-1+rpi1) bookworm-staging; urgency=medium

  * Remove build-dependency on python3-zope-security to break loop
  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Wed, 27 Apr 2022 04:06:40 +0000

zope.proxy (4.5.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 4.5.0
  * d/watch:
    - Update to version 4
    - Drop unused option-lines.
  * d/control:
    - Update standards version to 4.6.0
    - Switch homepage PyPI -> GitHub.
  * Add upstream testsuite as autopkgtest.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 22 Nov 2021 00:12:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,9 @@
                python3-all-dev,
                python3-setuptools,
                python3-zope.interface,
-               python3-zope.security,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: https://pypi.python.org/pypi/zope.proxy
+Homepage: https://github.com/zopefoundation/zope.proxy
 Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.proxy
 Vcs-Git: https://salsa.debian.org/python-team/packages/zope.proxy.git

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,12 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_NAME=zope.proxy
-export PYBUILD_DISABLE=test
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_test:
+	#PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="cd src/zope/; {interpreter} -m unittest -v" dh_auto_test
 
 override_dh_install:
 	dh_install

## zope.proxy 5.1

=== debian/changelog ===
zope.proxy (5.1-3build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 09:48:01 +0000

zope.proxy (5.1-3) unstable; urgency=medium

  * QA upload.
  * Fix autopkg test, importing from the installed module.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Dec 2023 14:28:48 +0100

zope.proxy (5.1-2) unstable; urgency=medium

  * QA upload.
  * Fix test failures with Python 3.12.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Dec 2023 21:41:52 +0100

zope.proxy (5.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream version, compatible with Python 3.12.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Nov 2023 08:29:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
-	#PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="cd src/zope/; {interpreter} -m unittest -v" dh_auto_test
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="cd src/zope/; {interpreter} -m unittest -v" dh_auto_test
 
 override_dh_install:
 	dh_install

## zope.proxy 5.2

=== debian/changelog ===
zope.proxy (5.2-1) unstable; urgency=medium

  * Adopt package for the Debian Python Team (closes: #948813).
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 05 Jun 2024 13:40:22 +0100

## zope.proxy 5.3

=== debian/changelog ===
zope.proxy (5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 09 Aug 2024 10:40:44 +0100

## zope.proxy 6.1

=== debian/changelog ===
zope.proxy (6.1-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:47:26 +0000

zope.proxy (6.1-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 10:53:42 +0100

zope.proxy (6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 06 Oct 2024 14:21:07 +0100

zope.proxy (6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Sep 2024 06:37:46 -0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: zope.proxy
 Section: zope
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-setuptools,
                python3-zope.interface,
+               python3-zope.security,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/zopefoundation/zope.proxy

=== debian/tests/control ===
Tests: upstream
Depends: python3-all,
         python3-zope.proxy,
Restrictions: allow-stderr

## zope.proxy 7.0

=== debian/changelog ===
zope.proxy (7.0-2) unstable; urgency=medium

  * Team Upload
  * Do not generate a dependency on python3-pkg-resources (Closes: #1084015)
  * Drop "Rules-Requires-Root: no": it is the default now

 -- Alexandre Detiste <tchet@debian.org>  Sun, 21 Sep 2025 02:28:41 +0200

zope.proxy (7.0-1) unstable; urgency=medium

  * d/watch: Upgrade to v5.
  * New upstream release.
  * Use dh-sequence-python3.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Sep 2025 12:55:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev,
                python3-setuptools,
                python3-zope.interface,
                python3-zope.security,
-Standards-Version: 4.6.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/zopefoundation/zope.proxy
 Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.proxy

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_NAME=zope.proxy
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="cd src/zope/; {interpreter} -m unittest -v" dh_auto_test

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/zope.proxy/
Matching-Pattern: zope.proxy-@ANY_VERSION@@ARCHIVE_EXT@

## zope.proxy 7.1

=== docs/requirements.txt ===
Sphinx
repoze.sphinx.autointerface
furo

=== debian/changelog ===
zope.proxy (7.1-3) unstable; urgency=medium

  * Rebuild to pick up headers installation fix in dh-python 6.20251204.

 -- Colin Watson <cjwatson@debian.org>  Thu, 04 Dec 2025 16:50:49 +0000

zope.proxy (7.1-2) unstable; urgency=medium

  * Run zope.security integration tests in the autopkgtest, but not during
    package build.
  * Run tests using zope.testrunner.
  * Switch to autopkgtest-pkg-pybuild.
  * Simplify a debhelper override.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Thu, 04 Dec 2025 12:17:17 +0000

zope.proxy (7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Nov 2025 09:59:48 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject (>= 6.20251204~),
                python3-all-dev,
                python3-setuptools,
                python3-zope.interface,
-               python3-zope.security,
+               python3-zope.testrunner,
 Standards-Version: 4.7.2
 Homepage: https://github.com/zopefoundation/zope.proxy
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.proxy
 Vcs-Git: https://salsa.debian.org/python-team/packages/zope.proxy.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=zope.proxy
export PYBUILD_TEST_CUSTOM := 1
export PYBUILD_TEST_ARGS := \
	PYTHONPATH=. {interpreter} -m zope.testrunner --test-path $(if $(PYBUILD_AUTOPKGTEST),/usr/lib/python3/dist-packages,.) --package zope.proxy -vv

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	find debian/python3-zope.proxy -name '*.c' -delete
	for d in debian/python3-zope.proxy/usr/include/python*; do \
		[ "$$d" = *m ] || mv "$$d" "$$d"m; \
	done
